#!/bin/sh

[ $# -ne 1 ] && echo >&2 "Usage : $0 <mailbox>" && exit 1
Mailbox=$1

#
# Pour chaque ligne du fichier
#

cat $Mailbox | (while read ligne
do
    ! echo "$ligne" | grep "From " > /dev/null && continue

#
# Pour chaque champ de l'en-tete du message
#

    while read champ && [ "$champ" != "" ]
    do

#
# Si le champ est de la forme From: ...
#

        To=`echo $champ | grep -i "^From: "`
        [ -n "$To" ] && for mot in $To
        do

#
# Recuperer le champ contenant '@' et enlever les '<' et '>' eventuels
#

            echo $mot | grep "@" | sed -e "s/.*<//g" -e "s/>.*//g"
        done
        continue
    done
done) | sort | uniq -c | sort -rn | awk '{ print FNR, $0 }'

exit 0

